curl --request DELETE \
--url https://api.novu.co/v1/workflows/{workflowId} \
--header 'Authorization: <authorization>' \
import { Novu, TemplateVariableTypeEnum, FilterPartTypeEnum, StepTypeEnum } from '@novu/node';
const novu = new Novu('<NOVU_API_KEY>');
await novu.notificationTemplates.delete("workflowId");
use Novu\SDK\Novu;
$novu = new Novu(<NOVU_API_KEY>);
$novu->deleteNotificationTemplate($templateId);
require 'novu'
client = Novu::Client.new('<NOVU_API_KEY>')
client.delete_notification_template('<insert-template-id>')
from novu.api import NotificationTemplateApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
novu = NotificationTemplateApi(url, api_key).delete(
notification_template_id="<The notification workflow ID of the workflow to be deleted >"
)
import co.novu.Novu;
public class Main {
public static void main(String[] args) {
String apiKey = "<NOVU_API_KEY>";
Novu novu = new Novu(apiKey);
novu.deleteWorkflow(workflowId);
}
}
package main
import (
"fmt"
"net/http"
"encoding/json"
)
func main() {
url := "https://api.novu.co/v1/workflows/:workflowId"
data := map[string]string{
[options]
}
jsonValue, _ := json.Marshal(data)
req, _ := http.NewRequest("DELETE", url, bytes.NewBuffer(jsonValue))
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "ApiKey REPLACE_WITH_API_KEY")
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import co.novu.Novu
import co.novu.extensions.deleteWorkflow
class Main {
fun main(args: Array<String>) {
val apiKey = "<NOVU_API_KEY>"
val novu = Novu(apiKey)
novu.deleteWorkflow(workflowId)
}
}
{
"data": true
}
Workflows
Delete workflow
Workflow was previously named notification template
DELETE
/
v1
/
workflows
/
{workflowId}
curl --request DELETE \
--url https://api.novu.co/v1/workflows/{workflowId} \
--header 'Authorization: <authorization>' \
import { Novu, TemplateVariableTypeEnum, FilterPartTypeEnum, StepTypeEnum } from '@novu/node';
const novu = new Novu('<NOVU_API_KEY>');
await novu.notificationTemplates.delete("workflowId");
use Novu\SDK\Novu;
$novu = new Novu(<NOVU_API_KEY>);
$novu->deleteNotificationTemplate($templateId);
require 'novu'
client = Novu::Client.new('<NOVU_API_KEY>')
client.delete_notification_template('<insert-template-id>')
from novu.api import NotificationTemplateApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
novu = NotificationTemplateApi(url, api_key).delete(
notification_template_id="<The notification workflow ID of the workflow to be deleted >"
)
import co.novu.Novu;
public class Main {
public static void main(String[] args) {
String apiKey = "<NOVU_API_KEY>";
Novu novu = new Novu(apiKey);
novu.deleteWorkflow(workflowId);
}
}
package main
import (
"fmt"
"net/http"
"encoding/json"
)
func main() {
url := "https://api.novu.co/v1/workflows/:workflowId"
data := map[string]string{
[options]
}
jsonValue, _ := json.Marshal(data)
req, _ := http.NewRequest("DELETE", url, bytes.NewBuffer(jsonValue))
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "ApiKey REPLACE_WITH_API_KEY")
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import co.novu.Novu
import co.novu.extensions.deleteWorkflow
class Main {
fun main(args: Array<String>) {
val apiKey = "<NOVU_API_KEY>"
val novu = Novu(apiKey)
novu.deleteWorkflow(workflowId)
}
}
{
"data": true
}
openapi: post /v1/workflows
Enter your API key in the
Authorization field like the example shown below:E.g ApiKey 18d2e625f05d80e curl --request DELETE \
--url https://api.novu.co/v1/workflows/{workflowId} \
--header 'Authorization: <authorization>' \
import { Novu, TemplateVariableTypeEnum, FilterPartTypeEnum, StepTypeEnum } from '@novu/node';
const novu = new Novu('<NOVU_API_KEY>');
await novu.notificationTemplates.delete("workflowId");
use Novu\SDK\Novu;
$novu = new Novu(<NOVU_API_KEY>);
$novu->deleteNotificationTemplate($templateId);
require 'novu'
client = Novu::Client.new('<NOVU_API_KEY>')
client.delete_notification_template('<insert-template-id>')
from novu.api import NotificationTemplateApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
novu = NotificationTemplateApi(url, api_key).delete(
notification_template_id="<The notification workflow ID of the workflow to be deleted >"
)
import co.novu.Novu;
public class Main {
public static void main(String[] args) {
String apiKey = "<NOVU_API_KEY>";
Novu novu = new Novu(apiKey);
novu.deleteWorkflow(workflowId);
}
}
package main
import (
"fmt"
"net/http"
"encoding/json"
)
func main() {
url := "https://api.novu.co/v1/workflows/:workflowId"
data := map[string]string{
[options]
}
jsonValue, _ := json.Marshal(data)
req, _ := http.NewRequest("DELETE", url, bytes.NewBuffer(jsonValue))
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "ApiKey REPLACE_WITH_API_KEY")
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import co.novu.Novu
import co.novu.extensions.deleteWorkflow
class Main {
fun main(args: Array<String>) {
val apiKey = "<NOVU_API_KEY>"
val novu = Novu(apiKey)
novu.deleteWorkflow(workflowId)
}
}
{
"data": true
}
Was this page helpful?
⌘I